Changeset 1046 for trunk


Ignore:
Timestamp:
Jun 13, 2008, 12:19:57 PM (16 years ago)
Author:
gah
Message:

install library.xml

Location:
trunk
Files:
1 added
3 edited

Legend:

Unmodified
Added
Removed
  • trunk/Makefile.in

    r1018 r1046  
    3030.PHONY: src gui lang test examples
    3131
    32 all: src gui lang examples test
     32all: src gui lang examples test lib
    3333
    3434src:
     
    3838lang:
    3939        $(MAKE) -C lang all
     40lib:
     41        $(MAKE) -C lib all
    4042examples:
    4143        $(MAKE) -C examples all
     
    4749        $(MAKE) -C gui install
    4850        $(MAKE) -C lang install
     51        $(MAKE) -C lib install
    4952        $(MAKE) -C src install
    5053
     
    5356        $(MAKE) -C gui clean
    5457        $(MAKE) -C lang clean
     58        $(MAKE) -C lib clean
    5559        $(MAKE) -C src clean
    5660        $(MAKE) -C test clean
     
    6064        $(MAKE) -C gui distclean
    6165        $(MAKE) -C lang distclean
     66        $(MAKE) -C lib distclean
    6267        $(MAKE) -C src distclean
    6368        $(MAKE) -C test distclean
     
    6570
    6671package:
    67         tar -C $(prefix) -czf $(tarfile) .
     72        tar -C $(prefix) -czlf $(tarfile) .
  • trunk/configure

    r1044 r1046  
    664664EXEEXT
    665665OBJEXT
     666F77
     667FFLAGS
     668ac_ct_F77
    666669RANLIB
    667670LN_S
     
    673676ac_ct_CXX
    674677CXXCPP
    675 F77
    676 FFLAGS
    677 ac_ct_F77
    678678AR
    679679DL_LIBS
     
    730730LIBS
    731731CPPFLAGS
     732F77
     733FFLAGS
    732734CPP
    733735CXX
    734736CXXFLAGS
    735737CCC
    736 CXXCPP
    737 F77
    738 FFLAGS'
     738CXXCPP'
    739739ac_subdirs_all='packages/optimizer/src '
    740740
     
    13391339  CPPFLAGS    C/C++/Objective C preprocessor flags, e.g. -I<include dir> if
    13401340              you have headers in a nonstandard directory <include dir>
     1341  F77         Fortran 77 compiler command
     1342  FFLAGS      Fortran 77 compiler flags
    13411343  CPP         C preprocessor
    13421344  CXX         C++ compiler command
    13431345  CXXFLAGS    C++ compiler flags
    13441346  CXXCPP      C++ preprocessor
    1345   F77         Fortran 77 compiler command
    1346   FFLAGS      Fortran 77 compiler flags
    13471347
    13481348Use these variables to override the choices made by `configure' or to help
     
    28582858ac_compiler_gnu=$ac_cv_c_compiler_gnu
    28592859
     2860ac_ext=f
     2861ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     2862ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     2863ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     2864if test -n "$ac_tool_prefix"; then
     2865  for ac_prog in g77 xlf f77 frt pgf77 cf77 fort77 fl32 af77 xlf90 f90 pgf90 pghpf epcf90 gfortran g95 xlf95 f95 fort ifort ifc efc pgf95 lf95 ftn
     2866  do
     2867    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
     2868set dummy $ac_tool_prefix$ac_prog; ac_word=$2
     2869{ echo "$as_me:$LINENO: checking for $ac_word" >&5
     2870echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
     2871if test "${ac_cv_prog_F77+set}" = set; then
     2872  echo $ECHO_N "(cached) $ECHO_C" >&6
     2873else
     2874  if test -n "$F77"; then
     2875  ac_cv_prog_F77="$F77" # Let the user override the test.
     2876else
     2877as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     2878for as_dir in $PATH
     2879do
     2880  IFS=$as_save_IFS
     2881  test -z "$as_dir" && as_dir=.
     2882  for ac_exec_ext in '' $ac_executable_extensions; do
     2883  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     2884    ac_cv_prog_F77="$ac_tool_prefix$ac_prog"
     2885    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     2886    break 2
     2887  fi
     2888done
     2889done
     2890IFS=$as_save_IFS
     2891
     2892fi
     2893fi
     2894F77=$ac_cv_prog_F77
     2895if test -n "$F77"; then
     2896  { echo "$as_me:$LINENO: result: $F77" >&5
     2897echo "${ECHO_T}$F77" >&6; }
     2898else
     2899  { echo "$as_me:$LINENO: result: no" >&5
     2900echo "${ECHO_T}no" >&6; }
     2901fi
     2902
     2903
     2904    test -n "$F77" && break
     2905  done
     2906fi
     2907if test -z "$F77"; then
     2908  ac_ct_F77=$F77
     2909  for ac_prog in g77 xlf f77 frt pgf77 cf77 fort77 fl32 af77 xlf90 f90 pgf90 pghpf epcf90 gfortran g95 xlf95 f95 fort ifort ifc efc pgf95 lf95 ftn
     2910do
     2911  # Extract the first word of "$ac_prog", so it can be a program name with args.
     2912set dummy $ac_prog; ac_word=$2
     2913{ echo "$as_me:$LINENO: checking for $ac_word" >&5
     2914echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
     2915if test "${ac_cv_prog_ac_ct_F77+set}" = set; then
     2916  echo $ECHO_N "(cached) $ECHO_C" >&6
     2917else
     2918  if test -n "$ac_ct_F77"; then
     2919  ac_cv_prog_ac_ct_F77="$ac_ct_F77" # Let the user override the test.
     2920else
     2921as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     2922for as_dir in $PATH
     2923do
     2924  IFS=$as_save_IFS
     2925  test -z "$as_dir" && as_dir=.
     2926  for ac_exec_ext in '' $ac_executable_extensions; do
     2927  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     2928    ac_cv_prog_ac_ct_F77="$ac_prog"
     2929    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     2930    break 2
     2931  fi
     2932done
     2933done
     2934IFS=$as_save_IFS
     2935
     2936fi
     2937fi
     2938ac_ct_F77=$ac_cv_prog_ac_ct_F77
     2939if test -n "$ac_ct_F77"; then
     2940  { echo "$as_me:$LINENO: result: $ac_ct_F77" >&5
     2941echo "${ECHO_T}$ac_ct_F77" >&6; }
     2942else
     2943  { echo "$as_me:$LINENO: result: no" >&5
     2944echo "${ECHO_T}no" >&6; }
     2945fi
     2946
     2947
     2948  test -n "$ac_ct_F77" && break
     2949done
     2950
     2951  if test "x$ac_ct_F77" = x; then
     2952    F77=""
     2953  else
     2954    case $cross_compiling:$ac_tool_warned in
     2955yes:)
     2956{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
     2957whose name does not start with the host triplet.  If you think this
     2958configuration is useful to you, please write to autoconf@gnu.org." >&5
     2959echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
     2960whose name does not start with the host triplet.  If you think this
     2961configuration is useful to you, please write to autoconf@gnu.org." >&2;}
     2962ac_tool_warned=yes ;;
     2963esac
     2964    F77=$ac_ct_F77
     2965  fi
     2966fi
     2967
     2968
     2969# Provide some information about the compiler.
     2970echo "$as_me:$LINENO: checking for Fortran 77 compiler version" >&5
     2971ac_compiler=`set X $ac_compile; echo $2`
     2972{ (ac_try="$ac_compiler --version >&5"
     2973case "(($ac_try" in
     2974  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     2975  *) ac_try_echo=$ac_try;;
     2976esac
     2977eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     2978  (eval "$ac_compiler --version >&5") 2>&5
     2979  ac_status=$?
     2980  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2981  (exit $ac_status); }
     2982{ (ac_try="$ac_compiler -v >&5"
     2983case "(($ac_try" in
     2984  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     2985  *) ac_try_echo=$ac_try;;
     2986esac
     2987eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     2988  (eval "$ac_compiler -v >&5") 2>&5
     2989  ac_status=$?
     2990  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2991  (exit $ac_status); }
     2992{ (ac_try="$ac_compiler -V >&5"
     2993case "(($ac_try" in
     2994  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     2995  *) ac_try_echo=$ac_try;;
     2996esac
     2997eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     2998  (eval "$ac_compiler -V >&5") 2>&5
     2999  ac_status=$?
     3000  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3001  (exit $ac_status); }
     3002rm -f a.out
     3003
     3004# If we don't use `.F' as extension, the preprocessor is not run on the
     3005# input file.  (Note that this only needs to work for GNU compilers.)
     3006ac_save_ext=$ac_ext
     3007ac_ext=F
     3008{ echo "$as_me:$LINENO: checking whether we are using the GNU Fortran 77 compiler" >&5
     3009echo $ECHO_N "checking whether we are using the GNU Fortran 77 compiler... $ECHO_C" >&6; }
     3010if test "${ac_cv_f77_compiler_gnu+set}" = set; then
     3011  echo $ECHO_N "(cached) $ECHO_C" >&6
     3012else
     3013  cat >conftest.$ac_ext <<_ACEOF
     3014      program main
     3015#ifndef __GNUC__
     3016       choke me
     3017#endif
     3018
     3019      end
     3020_ACEOF
     3021rm -f conftest.$ac_objext
     3022if { (ac_try="$ac_compile"
     3023case "(($ac_try" in
     3024  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     3025  *) ac_try_echo=$ac_try;;
     3026esac
     3027eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     3028  (eval "$ac_compile") 2>conftest.er1
     3029  ac_status=$?
     3030  grep -v '^ *+' conftest.er1 >conftest.err
     3031  rm -f conftest.er1
     3032  cat conftest.err >&5
     3033  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3034  (exit $ac_status); } && {
     3035         test -z "$ac_f77_werror_flag" ||
     3036         test ! -s conftest.err
     3037       } && test -s conftest.$ac_objext; then
     3038  ac_compiler_gnu=yes
     3039else
     3040  echo "$as_me: failed program was:" >&5
     3041sed 's/^/| /' conftest.$ac_ext >&5
     3042
     3043        ac_compiler_gnu=no
     3044fi
     3045
     3046rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
     3047ac_cv_f77_compiler_gnu=$ac_compiler_gnu
     3048
     3049fi
     3050{ echo "$as_me:$LINENO: result: $ac_cv_f77_compiler_gnu" >&5
     3051echo "${ECHO_T}$ac_cv_f77_compiler_gnu" >&6; }
     3052ac_ext=$ac_save_ext
     3053ac_test_FFLAGS=${FFLAGS+set}
     3054ac_save_FFLAGS=$FFLAGS
     3055FFLAGS=
     3056{ echo "$as_me:$LINENO: checking whether $F77 accepts -g" >&5
     3057echo $ECHO_N "checking whether $F77 accepts -g... $ECHO_C" >&6; }
     3058if test "${ac_cv_prog_f77_g+set}" = set; then
     3059  echo $ECHO_N "(cached) $ECHO_C" >&6
     3060else
     3061  FFLAGS=-g
     3062cat >conftest.$ac_ext <<_ACEOF
     3063      program main
     3064
     3065      end
     3066_ACEOF
     3067rm -f conftest.$ac_objext
     3068if { (ac_try="$ac_compile"
     3069case "(($ac_try" in
     3070  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
     3071  *) ac_try_echo=$ac_try;;
     3072esac
     3073eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
     3074  (eval "$ac_compile") 2>conftest.er1
     3075  ac_status=$?
     3076  grep -v '^ *+' conftest.er1 >conftest.err
     3077  rm -f conftest.er1
     3078  cat conftest.err >&5
     3079  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3080  (exit $ac_status); } && {
     3081         test -z "$ac_f77_werror_flag" ||
     3082         test ! -s conftest.err
     3083       } && test -s conftest.$ac_objext; then
     3084  ac_cv_prog_f77_g=yes
     3085else
     3086  echo "$as_me: failed program was:" >&5
     3087sed 's/^/| /' conftest.$ac_ext >&5
     3088
     3089        ac_cv_prog_f77_g=no
     3090fi
     3091
     3092rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
     3093
     3094fi
     3095{ echo "$as_me:$LINENO: result: $ac_cv_prog_f77_g" >&5
     3096echo "${ECHO_T}$ac_cv_prog_f77_g" >&6; }
     3097if test "$ac_test_FFLAGS" = set; then
     3098  FFLAGS=$ac_save_FFLAGS
     3099elif test $ac_cv_prog_f77_g = yes; then
     3100  if test "x$ac_cv_f77_compiler_gnu" = xyes; then
     3101    FFLAGS="-g -O2"
     3102  else
     3103    FFLAGS="-g"
     3104  fi
     3105else
     3106  if test "x$ac_cv_f77_compiler_gnu" = xyes; then
     3107    FFLAGS="-O2"
     3108  else
     3109    FFLAGS=
     3110  fi
     3111fi
     3112
     3113G77=`test $ac_compiler_gnu = yes && echo yes`
     3114ac_ext=c
     3115ac_cpp='$CPP $CPPFLAGS'
     3116ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     3117ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     3118ac_compiler_gnu=$ac_cv_c_compiler_gnu
     3119
    28603120ac_ext=c
    28613121ac_cpp='$CPP $CPPFLAGS'
     
    53025562
    53035563
    5304 SC_CONFIG_GCC
    53055564
    53065565
     
    79408199
    79418200
    7942 SC_MAKE_LIB
    79438201
    79448202# Check whether --enable-gui was given.
     
    86248882
    86258883
    8626 ac_config_files="$ac_config_files Makefile packages/Makefile src/Makefile src/core/Makefile src/core2/Makefile src/objects/Makefile gui/Makefile gui/apps/Makefile gui/apps/rappture gui/apps/rappture.env gui/apps/simsim gui/pkgIndex.tcl gui/scripts/Makefile lang/Makefile lang/perl/Makefile lang/perl/Makefile.PL lang/python/Makefile lang/python/setup.py lang/matlab/Makefile lang/octave/Makefile lang/ruby/Makefile lang/ruby/build.rb lang/tcl/Makefile lang/tcl/pkgIndex.tcl lang/tcl/src/Makefile lang/tcl/scripts/Makefile lang/tcl/tests/Makefile examples/Makefile examples/3D/Makefile examples/app-fermi/Makefile examples/app-fermi/2.0/Makefile examples/app-fermi/cee/Makefile examples/app-fermi/fortran/Makefile examples/app-fermi/matlab/Makefile examples/app-fermi/octave/Makefile examples/app-fermi/perl/Makefile examples/app-fermi/python/Makefile examples/app-fermi/ruby/Makefile examples/app-fermi/tcl/Makefile examples/app-fermi/wrapper/Makefile examples/app-fermi/wrapper/cee/Makefile examples/app-fermi/wrapper/python/Makefile examples/app-fermi/wrapper/tcl/Makefile examples/c-example/Makefile examples/canvas/Makefile examples/demo.bash examples/graph/Makefile examples/zoo/Makefile examples/zoo/binary/Makefile examples/zoo/boolean/Makefile examples/zoo/choice/Makefile examples/zoo/cloud/Makefile examples/zoo/cloud/matlab/Makefile examples/zoo/curve/Makefile examples/zoo/enable/Makefile examples/zoo/field/Makefile examples/zoo/group/Makefile examples/zoo/image/Makefile examples/zoo/image/docs/Makefile examples/zoo/image/examples/Makefile examples/zoo/integer/Makefile examples/zoo/loader/Makefile examples/zoo/loader/examples/Makefile examples/zoo/log/Makefile examples/zoo/note/Makefile examples/zoo/note/docs/Makefile examples/zoo/number/Makefile examples/zoo/phase/Makefile examples/zoo/sequence/Makefile examples/zoo/sequence/examples/Makefile examples/zoo/string/Makefile examples/zoo/structure/Makefile examples/zoo/structure/examples/Makefile examples/zoo/table/Makefile test/Makefile test/src/Makefile"
     8884ac_config_files="$ac_config_files Makefile packages/Makefile src/Makefile src/core/Makefile src/core2/Makefile src/objects/Makefile gui/Makefile gui/apps/Makefile gui/apps/rappture gui/apps/rappture.env gui/apps/simsim gui/pkgIndex.tcl gui/scripts/Makefile lang/Makefile lang/perl/Makefile lang/perl/Makefile.PL lang/python/Makefile lang/python/setup.py lang/matlab/Makefile lang/octave/Makefile lang/ruby/Makefile lang/ruby/build.rb lang/tcl/Makefile lang/tcl/pkgIndex.tcl lang/tcl/src/Makefile lang/tcl/scripts/Makefile lang/tcl/tests/Makefile lib/Makefile examples/Makefile examples/3D/Makefile examples/app-fermi/Makefile examples/app-fermi/2.0/Makefile examples/app-fermi/cee/Makefile examples/app-fermi/fortran/Makefile examples/app-fermi/matlab/Makefile examples/app-fermi/octave/Makefile examples/app-fermi/perl/Makefile examples/app-fermi/python/Makefile examples/app-fermi/ruby/Makefile examples/app-fermi/tcl/Makefile examples/app-fermi/wrapper/Makefile examples/app-fermi/wrapper/cee/Makefile examples/app-fermi/wrapper/python/Makefile examples/app-fermi/wrapper/tcl/Makefile examples/c-example/Makefile examples/canvas/Makefile examples/demo.bash examples/graph/Makefile examples/zoo/Makefile examples/zoo/binary/Makefile examples/zoo/boolean/Makefile examples/zoo/choice/Makefile examples/zoo/cloud/Makefile examples/zoo/cloud/matlab/Makefile examples/zoo/curve/Makefile examples/zoo/enable/Makefile examples/zoo/field/Makefile examples/zoo/group/Makefile examples/zoo/image/Makefile examples/zoo/image/docs/Makefile examples/zoo/image/examples/Makefile examples/zoo/integer/Makefile examples/zoo/loader/Makefile examples/zoo/loader/examples/Makefile examples/zoo/log/Makefile examples/zoo/note/Makefile examples/zoo/note/docs/Makefile examples/zoo/number/Makefile examples/zoo/phase/Makefile examples/zoo/sequence/Makefile examples/zoo/sequence/examples/Makefile examples/zoo/string/Makefile examples/zoo/structure/Makefile examples/zoo/structure/examples/Makefile examples/zoo/table/Makefile test/Makefile test/src/Makefile"
    86278885
    86288886cat >confcache <<\_ACEOF
     
    92219479    "lang/tcl/scripts/Makefile") CONFIG_FILES="$CONFIG_FILES lang/tcl/scripts/Makefile" ;;
    92229480    "lang/tcl/tests/Makefile") CONFIG_FILES="$CONFIG_FILES lang/tcl/tests/Makefile" ;;
     9481    "lib/Makefile") CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
    92239482    "examples/Makefile") CONFIG_FILES="$CONFIG_FILES examples/Makefile" ;;
    92249483    "examples/3D/Makefile") CONFIG_FILES="$CONFIG_FILES examples/3D/Makefile" ;;
     
    93799638EXEEXT!$EXEEXT$ac_delim
    93809639OBJEXT!$OBJEXT$ac_delim
     9640F77!$F77$ac_delim
     9641FFLAGS!$FFLAGS$ac_delim
     9642ac_ct_F77!$ac_ct_F77$ac_delim
    93819643RANLIB!$RANLIB$ac_delim
    93829644LN_S!$LN_S$ac_delim
     
    93889650ac_ct_CXX!$ac_ct_CXX$ac_delim
    93899651CXXCPP!$CXXCPP$ac_delim
    9390 F77!$F77$ac_delim
    9391 FFLAGS!$FFLAGS$ac_delim
    9392 ac_ct_F77!$ac_ct_F77$ac_delim
    93939652AR!$AR$ac_delim
    93949653DL_LIBS!$DL_LIBS$ac_delim
  • trunk/configure.in

    r1044 r1046  
    2525dnl find and test the C compiler
    2626AC_PROG_CC
     27AC_PROG_F77
    2728AC_LANG_C
    2829
     
    4546AC_PROG_F77([g77 gfortran f77 fort77 f90 xlf xlf90 fl32])
    4647
    47 SC_CONFIG_GCC
    4848SC_CONFIG_CFLAGS
    49 SC_MAKE_LIB
    5049
    5150AC_ARG_ENABLE(
     
    469468        lang/tcl/scripts/Makefile
    470469        lang/tcl/tests/Makefile
     470        lib/Makefile
    471471        examples/Makefile
    472472        examples/3D/Makefile
Note: See TracChangeset for help on using the changeset viewer.